Subject: Re: [PATCH v2 12/16] pathspec: create parse_long_magic function

From: Junio C Hamano <[email-masked]>
Date: Sat, 10 Dec 2016 10:18:31 -0800

Stefan Beller <[email-masked]> writes:

> Jonathan Nieder mentioned off list that he prefers to see that
> series rerolled without mutexes if possible. That is possible by
> creating the questions "struct attr_check" before preloading the
> index and then using the read only questions in the threaded code,
> to obtain answers fast; also no need for a mutex.

I do not see how it would work without further splitting the
attr_stack.  I think you made it per check[], but you would further
split it per <check, thread> before losing the mutex, no?